Upstream information

CVE-2023-43622 at MITRE

Description

An attacker, opening a HTTP/2 connection with an initial window size of 0, was able to block handling of that connection indefinitely in Apache HTTP Server. This could be used to exhaust worker resources in the server, similar to the well known "slow loris" attack pattern. This has been fixed in version 2.4.58, so that such connection are terminated properly after the configured connection timeout. This issue affects Apache HTTP Server: from 2.4.55 through 2.4.57. Users are recommended to upgrade to version 2.4.58, which fixes the issue.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1216425 [IN_PROGRESS]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
openSUSE Tumbleweed
  • apache2 >= 2.4.58-1.1
Patchnames:
openSUSE Tumbleweed GA apache2-2.4.58-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 apache2 Not affected
SUSE Linux Enterprise Desktop 15 SP5 apache2 Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 apache2 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP5 apache2 Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP5 apache2 Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP5 apache2 Not affected
SUSE Linux Enterprise Real Time 15 SP3 apache2 Not affected
SUSE Linux Enterprise Server 12 SP5 apache2 Not affected
SUSE Linux Enterprise Server 15 SP5 apache2 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 apache2 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 apache2 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 apache2 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 apache2 Not affected
SUSE Manager Proxy 4.3 apache2 Not affected
SUSE Manager Retail Branch Server 4.3 apache2 Not affected
SUSE Manager Server 4.3 apache2 Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15 apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS apache2 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 apache2 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 apache2 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 apache2 Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP2 apache2 Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP3 apache2 Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP4 apache2 Not affected
SUSE Linux Enterprise Server 15 SP2 apache2 Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS apache2 Not affected
SUSE Linux Enterprise Server 15 SP3 apache2 Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS apache2 Not affected
SUSE Linux Enterprise Server 15 SP4 apache2 Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS apache2 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 apache2 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 apache2 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 apache2 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 apache2 Not affected
SUSE OpenStack Cloud 8 apache2 Not affected
SUSE OpenStack Cloud 9 apache2 Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 apache2 Not affected
SUSE CaaS Platform 4.0 apache2 Not affected
SUSE Enterprise Storage 6 apache2 Not affected
SUSE Enterprise Storage 7 apache2 Not affected
SUSE Linux Enterprise Desktop 11 SP4 apache2 Not affected
SUSE Linux Enterprise Desktop 12 SP2 apache2 Not affected
SUSE Linux Enterprise Desktop 12 SP3 apache2 Not affected
SUSE Linux Enterprise Desktop 12 SP4 apache2 Not affected
SUSE Linux Enterprise Desktop 15 SP2 apache2 Not affected
SUSE Linux Enterprise Desktop 15 SP3 apache2 Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP2 apache2 Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP3 apache2 Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP4 apache2 Not affected
SUSE Linux Enterprise Module for Server Applications 15 apache2 Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP1 apache2 Not affected
SUSE Linux Enterprise Real Time 15 SP2 apache2 Not affected
SUSE Linux Enterprise Real Time 15 SP4 apache2 Not affected
SUSE Linux Enterprise Server 11 SP3 apache2 Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS apache2 Not affected
SUSE Linux Enterprise Server 11 SP4 apache2 Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS apache2 Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS apache2 Not affected
SUSE Linux Enterprise Server 12 SP2 apache2 Not affected
SUSE Linux Enterprise Server 12 SP2-BCL apache2 Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS apache2 Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS apache2 Not affected
SUSE Linux Enterprise Server 12 SP3 apache2 Not affected
SUSE Linux Enterprise Server 12 SP3-BCL apache2 Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS apache2 Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS apache2 Not affected
SUSE Linux Enterprise Server 12 SP4 apache2 Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS apache2 Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS apache2 Not affected
SUSE Linux Enterprise Server 15 apache2 Not affected
SUSE Linux Enterprise Server 15 SP1 apache2 Not affected
SUSE Linux Enterprise Server 15 SP1-BCL apache2 Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS apache2 Not affected
SUSE Linux Enterprise Server 15 SP2-BCL apache2 Not affected
SUSE Linux Enterprise Server 15 SP3-BCL apache2 Not affected
SUSE Linux Enterprise Server 15-LTSS apache2 Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 apache2 Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 apache2 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 apache2 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 apache2 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 apache2 Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 apache2 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 apache2 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 apache2 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 apache2 Not affected
SUSE Manager Proxy 4.0 apache2 Not affected
SUSE Manager Proxy 4.1 apache2 Not affected
SUSE Manager Proxy 4.2 apache2 Not affected
SUSE Manager Retail Branch Server 4.0 apache2 Not affected
SUSE Manager Retail Branch Server 4.1 apache2 Not affected
SUSE Manager Retail Branch Server 4.2 apache2 Not affected
SUSE Manager Server 4.0 apache2 Not affected
SUSE Manager Server 4.1 apache2 Not affected
SUSE Manager Server 4.2 apache2 Not affected
SUSE OpenStack Cloud 7 apache2 Not affected
SUSE OpenStack Cloud Crowbar 8 apache2 Not affected
SUSE OpenStack Cloud Crowbar 9 apache2 Not affected
Container Status
suse/manager/5.0/x86_64/proxy-httpd
suse/manager/5.0/x86_64/server
apache2Already fixed
bci/php-apache:8
suse/manager/4.3/proxy-httpd
apache2Not affected


SUSE Timeline for this CVE

CVE page created: Thu Oct 19 16:00:02 2023
CVE page last modified: Fri Apr 19 19:25:32 2024